/* possible solution to remove automatic top margin (it disappeared itself)

body{
    margin-top:0px;
    margin-left:0px;
    margin-right:0px;
} */

body{
    font-family: 'Inter', sans-serif;
    /* font-family: 'Lato', sans-serif; */
}

main{
    max-width:1040px;
    margin-left:auto;
    margin-right:auto;
    min-height:200px;
}

/* ------ styling header with 3 bars green white and thick green -------- */

.greenTopBar{
    background-color: #13562B;
    height: 40px;
    width:100%;
    margin-top:0px;

}

/* added later - when adding log in informations to the top bar */
.greenTopBarContainer{
    
    max-width:1040px;

}

.stylingNavBar{
    background-color: #13562B;
    /* height:20%; */
    width:100%;
    /*z index is bacause collapsed menu was displaying bellow the carousel */
    z-index:7;
}

.styleMenu{
    margin-left:auto;
    margin-right:auto;
    max-width:1040px;
    
}

.logoBar{
    /* height:15%; */
    width:100%;
}

.logoBarContent{
    width:72%;
    margin-left:auto;
    margin-right:auto;
}


.carouselSize{
    margin-top:20px;
    /* width:1040px; */
    /* max-height:100px!important; -- does not work*/
    margin-left:auto;
    margin-right:auto;
}


.logoContainer{
    margin:auto;
    margin-top:30px;
}

.styleSearchBar{
    border-radius:20px 0px 0px 20px;
    border-color:#13562B;
    color:#13562B;
    /* margin-right:auto;
    margin-left:auto; */
    /* padding-right:20px; */
    /* border-right:none; */
    width:80%;
    margin:60px 0px 0px 0px!important;

}

.styleSearchButton{
    color:#13562B;
    border-color:#13562B;
    border-radius:0px 20px 20px 0px;
    /* margin-left:auto;
    padding-left:20px; */
    border-left:none;
    width:20%;
    margin:60px 0px 0px 0px!important;


}

.styleSearchButton:hover{
    background-color: #13562B;
}

.basketCentre{
    margin-right:60px;
    margin-left:40px;
    margin-top:60px;
    margin-bottom:60px;
    color:#13562B;
}

.nav-item{
    background-color: #13562B;
    padding:10px 20px 10px 20px;
}

.nav-link{
    font-size:18px;

}

/* ------ styling header END -------- */

/* ------ styling footer -------- */
footer{
    width:100%;
    height:100%;
    background-color: #13562B;
}

.footerStyle{
    max-width:1040px;
    color:white;
}

footer>div>div>div>p>a{
    text-decoration:none!important;
    color:#D6D6D6;
    text-align: center;
}

footer>div>div>div>p>a:hover{
    color:white;
    text-align: center;
}

.footH3Style{
    display:block;
    width: 140px;
    height: 80px;
    /* margin-bottom: 5px; */
    margin-top: 10px;
    text-align: center;
}

.socialLink{
    padding-left:20px;
}


/* ------ admin--------- */

.adminFormStyle{
    margin-left:auto!important;
    margin-right:auto!important;
    margin-top:100px!important;

    padding-top:100px;
    text-align:center;
    display:block;
}

.styleAdminLink{
    border:#13562B solid 6px;
    float:left;
    border-radius:20px;
    margin:20px;
    padding:10px;
    
    /* does not work - has to be inline styleing */
    /* text-decoration:none!important;
    color:#13562B; */
}

.styleAdminLink:hover{
    background-color:#ACD696;
}


.activeAdmin{
    background-color: #ACD696;
}


.tableColor{
    background-color: #ACD696;
}

.tableContainer{
    max-width:1040px;
    background-color: #13562B;
    margin-top:50px;
    margin-bottom:50px;
    padding-top:50px;
    padding-bottom:50px;
}

table{
    width:100%!important;
    height:100%!important;/*does not work???*/
    table-layout:fixed;
}

/* --- $_FILE ----------*/

.inputSize{
    margin-top:50px;
    width:100%;
}


/* ------------end of admin styling ----------------- */

/*-------------styling of forms (login and register) --------------------*/

h1{
    color:#13562B;
}

.formAreaStyle{
    background-color: #ACD696;
    color:#13562B;
    width:100%;
    height:100%;
    margin-bottom:50px;
}

.textColor{
    color:#13562B;
    text-align:center;
}

.signUpStyle{
    text-decoration: none!important;
    color:#13562B;
    /*padding-top:1000px;*/
    margin-left:150px;
}

.responseAreaStyle{
    background-color: white;
    padding-left:30%;
    padding-top:100px;
    font-size:32px;
    text-align:center;
}

/* see also: .greenTopBarContainer -> above (almost top) */
.styleLogMessage{
    text-align: right;
}

/* -----------cards - books.php & index.php ---------- */

.styleBookCard{
    background-color: #13562B!important;
}





